Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5682 - netconf does not properly manage multiple NIC`s
Summary: netconf does not properly manage multiple NIC`s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-07 15:23 UTC by flaroche44
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 20:58:44 UTC


Attachments (Terms of Use)

Description flaroche44 1999-10-07 15:23:49 UTC
This is something I`ve also seen in RH5.2 and thought 6.1
would take care of.

My setup is simple: I use my linux box as a masquerading
gateway to the internet for my private home LAN.  I thus
have two NIC`s in my machine.

The problem occurs when I try to setup these cards from
netconf.  The setup utility just doesn`t handle the
/etc/conf.modules file right.  Even if I correctly setup the
two interfaces with their own parameters, I end up with an
unusable conf.modules file that only contains the last cards
parameters.  Here is the content of the file after netconf's
update:

alias eth0 ne
options ne io=0x240 irq=5
alias eth1 ne

The io and irq are those of my second card.  netconf clearly
doesn't 'know' how to put two card's values in there.  Here
is the correct setup, as described in the Ethernet Howto:

alias eth0 ne
alias eth1 ne
options ne io=0x220,0x240 irq=9,5

I'm sure I am not the only person who tried that setup.
Even if this is a minor issue I thought it was important to
report it and contribute to the quality of your product.
These are the little things that makes a product better in
the end.

Francois L.

Comment 1 Michael K. Johnson 1999-11-19 00:30:59 UTC
Added Jacques to the CC line so that he knows about this problem.

Comment 2 jack 1999-11-30 17:19:59 UTC
This is solved in 1.16r10. It is possible to setup multiple nics with
prior version though. the key is to supply all paramaters with the first nic and
not provide any information, including the kernel module in the second nic.

1,16r10 collects all informations related to one kernel module and merge
them in /etc/conf.modules in a single options line. When reading the file
the information is still shown along with the first adaptor. Specifying
the kernel module for the other adaptor is optional.

Comment 3 Dale Lovelace 1999-12-03 19:29:59 UTC
This is indeed fixed in 1.16r10 which will be released as errata when testing is
finished.

Comment 4 Michael K. Johnson 1999-12-15 20:58:59 UTC
1.16r10-2 released


Note You need to log in before you can comment on or make changes to this bug.